<?php if (preg_match('/[0-9]/', $code)) { ?>
<style type="text/css" >
#success, #warning { display:none; }

#bandeiras { text-align:center; }
#bandeiras a { display:inline-block; opacity:0.5; cursor:pointer; border-radius:2px; overflow:hidden; }
#bandeiras a:hover { opacity:1; }

.moip-obs { display:none; margin:20px 0 0 0; }
.moip-obs div { display:inline-block; padding:10px; background:#282; color:#fff; border-radius:2px; }
</style>

<div id="bandeiras">
	<strong>Selecione seu banco para fazer o depósito / transferência online:</strong><br>
	<br>

	<div style="display:inline-block;">
		<a id="banco-do-brasil" onClick="escolherBanco('BancoDoBrasil')" title="Banco Do Brasil"><img src="image/moip/debito/6.jpg" alt="Banco Do Brasil" title="Banco Do Brasil"></a>
		<a id="bradesco" onClick="escolherBanco('Bradesco')" title="Bradesco"><img src="image/moip/debito/7.jpg" alt="Bradesco" title="Bradesco"></a>
		<a id="banrisul" onClick="escolherBanco('Banrisul')" title="Banrisul"><img src="image/moip/debito/8.jpg" alt="Banrisul" title="Banrisul"></a>
		<a id="itau" onClick="escolherBanco('Itau')" title="Itaú"><img src="image/moip/debito/9.gif" alt="Itaú" title="Itaú"></a>
	</div>

	<div class="moip-obs">
		<div><strong>OBS:</strong> Após clicar no botão abaixo, <strong>uma nova janela será aberta com o site do banco</strong> para que possa concluir o pagamento.</div>
	</div>
</div>

<div class="buttons">
	<div class="alert alert-success" id="success"></div>
	<div class="alert alert-danger" id="warning"></div>

	<div id="MoipWidget" data-token="<?php echo $code; ?>" callback-method-success="funcaoSucesso" callback-method-error="funcaoFalha"></div>

	<div class="pull-right" id="btn-pagar" style="display:none;"></div>
</div>

<script type="text/javascript"><!--
var funcaoSucesso = function(data){
	$('#btn-pagar').html('<a id="button-confirm" href="' + data.url + '" target="_blank" class="btn btn-primary" data-loading-text="Por favor, aguarde!">Confirmar pedido e abrir o site do banco</a>').slideDown();
	$('.moip-obs').slideDown();

	$('#button-confirm').click(function(){
		$.ajax({
			type: 'GET',
			url: 'index.php?route=payment/moip_debito/confirm',
			cache: false,
			success: function() {
				location.href = '<?php echo $continue; ?>';
			}
		});
	});
};

var funcaoFalha = function(data) {
	$('#warning').html(data.Mensagem).show();
};

function escolherBanco(instituicao) {
	if (typeof(instituicao) != "undefined") {
		var settings = {
			"Forma": "DebitoBancario",
			"Instituicao": instituicao
		}
		MoipWidget(settings);
	}
}

$('#bandeiras').find('a').click(function(){
	$('#btn-pagar').stop(true,true).html('<a class="btn btn-primary" style="opacity:.5;">Confirmar pedido e abrir o site do banco</a>').slideUp();
	$('.moip-obs').stop(true,true).slideUp();
	$('#bandeiras').find('a').css('opacity', '0.5');
	$(this).css('opacity', '1');
});
//-->
</script>

<?php } else { ?>
	<div class="alert alert-danger" role="alert" id="warning"><?php echo $code ?></div>
<?php } ?>
